Bug 908886 - [ml][ta_IN][kn][pt_BR][es_ES][it][hi][zh_CN][te][ja][pa][ko][or] pofilter unchanged test fails against subscription-manager 1.8.X
[ml][ta_IN][kn][pt_BR][es_ES][it][hi][zh_CN][te][ja][pa][ko][or] pofilter unc...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: candlepin-bugs
IDM QE LIST
: i18n, Translation
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-02-07 13:59 EST by John Sefler
Modified: 2014-06-17 20:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:22:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2013-02-07 13:59:20 EST
Description of problem:

# (pofilter) unchanged: Consider translating
msgid "Usage: %s MODULE-NAME [MODULE-OPTIONS] [--help]"
msgstr "Usage: %s MODULE-NAME [MODULE-OPTIONS] [--help]"


Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.8.1-1.git.9.f23e0b0.el7.x86_64
https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.8.X


Expected results:
msgid "Usage: %s MODULE-NAME [MODULE-OPTIONS] [--help]"
msgstr "பயன்பாடு: %s MODULE-NAME [MODULE-OPTIONS] [--help]"
Comment 1 John Sefler 2013-02-07 14:20:17 EST
Also encountering pofilter unchanged errors in pt_BR...

# (pofilter) unchanged: Consider translating
msgid "%s: error: %s"
msgstr "%s: error: %s"

EXPECTED:
msgstr "%s: erro: %s"



# (pofilter) unchanged: Consider translating
msgid "<small><b>Example:</b> proxy.example.com:3128</small>"
msgstr "<small><b>Example:</b> proxy.example.com:3128</small>"

EXPECTED:
msgstr "<small><b>Exemplo:</b> proxy.example.com:3128</small>"



# (pofilter) unchanged: Consider translating
msgid "Arch"
msgstr "Arch"

EXPECTED:
A few Brazilian engineers in my local office suggest that a fully translated value of "Arquitetura" is the best translation for "Arch".  They also say that it should NOT be abreviated to "Arq".  This suggestion affects the following translations:
[root@jsefler-7 ~]# msgunfmt --no-wrap /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo | grep "Arch" -A1
msgid "<b>Arch:</b>"
msgstr "<b>Arq:</b>"
--
msgid "Arch"
msgstr "Arch"

msgid "Arch Text"
msgstr "Texto de Arq"
--
msgid "Arch:                 \t%s"
msgstr "Arq:                 \t%s"
Comment 2 John Sefler 2013-02-07 14:29:13 EST
Also encountering pofilter unchanged errors in de_DE...

# (pofilter) unchanged: Consider translating
msgid "complex"
msgstr "Complex"

EXPECTED:
msgstr "Komplex"
Comment 3 John Sefler 2013-02-07 14:39:34 EST
Also encountering pofilter unchanged errors in zh_CN...

# (pofilter) unchanged: Consider translating
msgid "Section: %s, Name: %s"
msgstr "Section: %s, Name: %s"

EXPECTED:
msgstr "字段: %s, 名称: %s"
Comment 4 Shantha kumar 2013-02-08 01:04:49 EST
Fixed for ta-IN
Comment 5 Hedda Peters 2013-03-20 02:29:42 EDT
(In reply to comment #2)
> Also encountering pofilter unchanged errors in de_DE...
> 
> # (pofilter) unchanged: Consider translating
> msgid "complex"
> msgstr "Complex"
> 
> EXPECTED:
> msgstr "Komplex"

Thanks for the catch, John, corrected for de_DE in 1.8.X
Comment 6 Adrian Likins 2013-03-25 17:35:21 EDT
commit 008c5cb336b141f300d647d6c71750b2cd15e066
Author: Adrian Likins <alikins@redhat.com>
Date:   Mon Mar 25 15:03:16 2013 -0400

    921126: latest string updates from zanata
    
    921126,911779,911776,911772,911764,911762,911759,
    911757,908886,908879,908869,908866,908521,908511,
    908488,908434,908108,908059,908037,906967,906552,
    842784
Comment 9 Bryan Kearney 2013-04-19 13:40:42 EDT
[bkearney@bkearney subscription-manager]$ pofilter --gnome unchanged -i po/ml.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ pofilter --gnome unchanged -i po/ta_IN.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ pofilter --gnome unchanged -i po/kn.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ pofilter --gnome unchanged -i po/pt_BR.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ pofilter --gnome unchanged -i po/es_ES.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ pofilter --gnome unchanged -i po/it.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ pofilter --gnome unchanged -i po/hi.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ pofilter --gnome unchanged -i po/z
zanata.xml  zh_CN.po    zh_TW.po    
[bkearney@bkearney subscription-manager]$ pofilter --gnome unchanged -i po/zh_CN.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ pofilter --gnome unchanged -i po/te.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ pofilter --gnome unchanged -i po/ja.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ pofilter --gnome unchanged -i po/pa.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ pofilter --gnome unchanged -i po/ko.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ pofilter --gnome unchanged -i po/or.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ 



fixed in 1.8.6
Comment 10 Bryan Kearney 2013-04-19 14:00:39 EDT
Ignore comment 9
Comment 11 Shantha kumar 2013-07-08 04:23:54 EDT
Fixed for Ta-IN 1.8.x on Zanata.
Comment 12 Bryan Kearney 2014-01-31 10:35:21 EST
Latest String Files have this:

###################] 100%
[bkearney@bkearney po]$ pofilter --gnome unchanged -i ta_IN.po 
processing 1 files...
[###########################################] 100%


Moving to POST.
Comment 13 Lijun Li 2014-02-24 22:23:31 EST
# rpm -q subscription-manager
subscription-manager-1.10.14-2.el7.x86_64

Fixed:
# msgunfmt --no-wrap /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo | grep -A1 "Usage: %s "
msgid "Usage: %s MODULE-NAME [MODULE-OPTIONS] [--help]"
msgstr "பயன்பாடு: %s தொகுதிக்கூறு-பெயர் [தொகுதிக்கூறு-விருப்பங்கள்] [--help]"

# msgunfmt --no-wrap /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo | grep -A1 "%s: error: %s"
msgid "%s: error: %s"
msgstr "%s: erro: %s"

# msgunfmt --no-wrap /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo | grep -A1 "<small><b>Example:"
msgid "<small><b>Example:</b> proxy.example.com:3128</small>"
msgstr "<small><b>Exemplo:</b> proxy.example.com:3128</small>"


# msgunfmt --no-wrap /usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo | grep -A1 "complex"
msgid "complex"
msgstr "Komplex"


# msgunfmt --no-wrap /usr/share/locale/ml/LC_MESSAGES/rhsm.mo | grep -A1 "%prog"
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [ഐച്ഛികങ്ങള്‍]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [ഐച്ഛികങ്ങള്‍]"

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [ഐച്ഛികങ്ങള്‍] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [ഐച്ഛികങ്ങള്‍] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [ഐച്ഛികങ്ങള്‍]"

msgid "%prog [options]"
msgstr "%prog [ഐച്ഛികങ്ങള്‍]"
Comment 14 Lijun Li 2014-02-24 22:39:28 EST
Fixed:

# for L in `rpm -ql subscription-manager | grep rhsm.mo`; do echo ""; echo "LOOKING FOR MSGID '%prog' IN LANG FILE $L..."; msgunfmt $L | grep -i '%prog' -A1; done;

LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/as/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [বিকল্পসমূহ]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [বিকল্পসমূহ] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [বিকল্পসমূহ] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [বিকল্পসমূহ] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [বিকল্পসমূহ]"

msgid "%prog [options]"
msgstr "%prog [বিকল্পসমূহ]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [বিকল্প]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [বিকল্প] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [বিকল্প] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [বিকল্প] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [বিকল্প]"

msgid "%prog [options]"
msgstr "%prog [বিকল্প]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [OPTIONEN]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [OPTIONEN]"

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [OPTIONEN] ZERT_DATEI"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [OPTIONEN] MANIFEST_DATEI"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [OPTIONEN]"

msgid "%prog [options]"
msgstr "%prog [Optionen]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [OPCIONES]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [OPCIONES] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [OPCIONES] ARCHIVO_CERT"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [OPCIONES] ARCHIVO_MANIFIESTO"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [OPCIONES]"

msgid "%prog [options]"
msgstr "%prog [opciones]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/fr/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [OPTIONS]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [OPTIONS] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [OPTIONS] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [OPTIONS] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [OPTIONS]"

msgid "%prog [options]"
msgstr "%prog [options]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/gu/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [વિકલ્પો]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [વિકલ્પો] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [વિકલ્પો] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [વિકલ્પો] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [વિકલ્પો]"

msgid "%prog [options]"
msgstr "%prog [વિકલ્પો]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/hi/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [विकल्प]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [विकल्प] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [विकल्प] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [विकल्प] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [विकल्प]"

msgid "%prog [options]"
msgstr "%prog [विकल्प]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/it/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [OPZIONI]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [OPZIONI] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [OPZIONI] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [OPZIONI] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [OPZIONI]"

msgid "%prog [options]"
msgstr "%prog [opzioni]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/ja/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [オプション]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [オプション] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [オプション] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [オプション] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [オプション]"

msgid "%prog [options]"
msgstr "%prog [オプション]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/kn/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [ಆಯ್ಕೆಗಳು]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [ಆಯ್ಕೆಗಳು] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [ಆಯ್ಕೆಗಳು] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [ಆಯ್ಕೆಗಳು] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [ಆಯ್ಕೆಗಳು]"

msgid "%prog [options]"
msgstr "%prog [ಆಯ್ಕೆಗಳು]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/ko/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [옵션]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [옵션]"

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [옵션] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [옵션] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [옵션]"

msgid "%prog [options]"
msgstr "%prog [옵션]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/ml/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [ഐച്ഛികങ്ങള്‍]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [ഐച്ഛികങ്ങള്‍]"

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [ഐച്ഛികങ്ങള്‍] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [ഐച്ഛികങ്ങള്‍] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [ഐച്ഛികങ്ങള്‍]"

msgid "%prog [options]"
msgstr "%prog [ഐച്ഛികങ്ങള്‍]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/mr/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [पर्याय]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [पर्याय] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [पर्याय] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [पर्याय] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [पर्याय]"

msgid "%prog [options]"
msgstr "%prog [पर्याय]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/or/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [ବିକଳ୍ପଗୁଡିକ]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [ବିକଳ୍ପଗୁଡିକ] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [ବିକଳ୍ପଗୁଡିକ] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [ବିକଳ୍ପଗୁଡିକ] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [ବିକଳ୍ପଗୁଡିକ]"

msgid "%prog [options]"
msgstr "%prog [ବିକଳ୍ପଗୁଡିକ]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/pa/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [ਚੋਣਾਂ]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [ਚੋਣਾਂ] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [ਚੋਣਾਂ] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [ਚੋਣਾਂ] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [ਚੋਣਾਂ]"

msgid "%prog [options]"
msgstr "%prog [ਚੋਣਾਂ]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [OPÇÕES]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [OPÇÕES] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [OPÇÕES] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [OPÇÕES] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [OPÇÕES]"

msgid "%prog [options]"
msgstr "%prog [OPÇÕES]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/ru/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [ПАРАМЕТРЫ]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [ПАРАМЕТРЫ]"

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [ПАРАМЕТРЫ] СЕРТИФИКАТ"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [ПАРАМЕТРЫ] МАНИФЕСТ"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [ПАРАМЕТРЫ]"

msgid "%prog [options]"
msgstr "%prog [параметры]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [விருப்பங்கள்]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [விருப்பங்கள்] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [விருப்பங்கள்] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [விருப்பங்கள்] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [விருப்பங்கள்]"

msgid "%prog [options]"
msgstr "%prog [விருப்பங்கள்]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/te/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [ఐచ్చికాలు]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [ఐచ్చికాలు] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [ఐచ్చికాలు] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [ఐచ్చికాలు] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [ఐచ్చికాలు]"

msgid "%prog [options]"
msgstr "%prog [ఐచ్చికాలు]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [选项]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [选项] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [选项] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [选项] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [选项]"

msgid "%prog [options]"
msgstr "%prog [选项]"


LOOKING FOR MSGID '%prog' IN LANG FILE /usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo...
msgid "%%prog %s [OPTIONS]"
msgstr "%%prog %s [選項]"

msgid "%%prog %s [OPTIONS] "
msgstr "%%prog %s [選項] "

msgid "%%prog %s [OPTIONS] CERT_FILE"
msgstr "%%prog %s [選項] CERT_FILE"

msgid "%%prog %s [OPTIONS] MANIFEST_FILE"
msgstr "%%prog %s [選項] MANIFEST_FILE"

--
msgid "%prog [OPTIONS]"
msgstr "%prog [選項]"

msgid "%prog [options]"
msgstr "%prog [選項]"
Comment 15 Lijun Li 2014-02-24 22:43:01 EST
Not Fixed:
# msgunfmt --no-wrap /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo | grep -A1 "Arch"
msgid "<b>Arch:</b>"
msgstr "<b>Arq:</b>"
--
msgid "Arch"
msgstr "Arq"
--
msgid "Arch Text"
msgstr "Texto de Arq"
--
msgid "Arch:"
msgstr "Arq:"
--
msgid "Arches"
msgstr "Arcos"
--
msgid "Architectures"
msgstr "Arquiteturas"

# msgunfmt --no-wrap /usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo | grep -A1 "Section: %s,"
msgid "Section: %s, Name: %s"
msgstr "Section: %s, Name: %s"

Not fixed for above issues. Moving to ASSIGNED.

BTW, please provide the info for "Fixed In Version" when moving back to ON_QA.
Comment 16 John Sefler 2014-02-27 13:37:12 EST
Testing Version...
[root@ibm-z10-74 ~]# rpm -q subscription-manager
subscription-manager-1.10.14-3.el7.s390x


[root@ibm-z10-74 ~]# msgunfmt --no-wrap /usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo | grep -i -A1 "Section"
msgid "Error: Section %s and name %s does not exist."
msgstr "错误:Section %s 和 name %s 不存在"

--
msgid "Error: configuration entry designation for removal must be of format [section.name]"
msgstr "错误:用于删除的配置条目必须具有如下格式 [section.name]"

--
msgid "Section %s and name %s cannot be removed."
msgstr "Section %s 和 name %s 无法被删除。"

msgid "Section: %s, Name: %s"
msgstr "Section: %s, Name: %s"

--
msgid "You have removed the value for section %s and name %s."
msgstr "您已经删除 section %s 和 name %s 的值。"

--
msgid "remove configuration entry by section.name"
msgstr "根据 section.name 删除配置条目"


VERIFIED: As demonstrated above, the word "Section" and "Name" was deliberately not translated by the zh_CN translator in any of the messages.  In my opinion, it is better to be consistently untranslated or consistently translated for this case.

Moving back to ON_QA.
Comment 17 John Sefler 2014-02-27 13:58:56 EST
Automated test coverage for the "unchanged" pofilter tests are now passing at 100% (excluding accepted unchanged translations).

subscription-manager-1.10.14-3.el7

Moving to VERIFIED
Comment 19 Ludek Smid 2014-06-13 06:22:47 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.